---
# Enable/Disable role
git2bunny_enabled: false

# Git repo URL
git2bunny_repo: ""

# This can be the literal string HEAD, a branch name, a tag name.
git2bunny_repo_ref: "HEAD"

# BunnyCDN access key
git2bunny_accesskey: ""

# BunnyCDN storage zone name
git2bunny_storage: ""

# An arbitrary command to run after git pull, but before BunnyCDN upload
git2bunny_command: ""

# exact subfolder to upload, it may be empty if you need to copy the content of git root dir
git2bunny_dist: ""
#
# remove following files or dirs from dist folder before upload
git2bunny_exclude: ['.git']

####
# DO NOT CHANGE following variables, unless you know what you are doing.
####
# temp directory for git pull on host/control machine, note that it's an absolute path
git2bunny_tmp: "/tmp"

# BunnyCDN host
git2bunny_host: "storage.bunnycdn.com"

git2bunny_url: "https://{{ git2bunny_host }}/{{ git2bunny_storage }}"
